---
title: PerformanceResourceTiming.workerStart
slug: Web/API/PerformanceResourceTiming/workerStart
tags:
  - API
  - PerformanceResourceTiming
  - Property
  - Reference
  - Web Performance
  - workerStart
---
<div>{{APIRef("Resource Timing API")}}</div>

<p>The <strong><code>workerStart</code></strong> read-only property of the {{domxref("PerformanceResourceTiming")}} interface returns a {{domxref("DOMHighResTimeStamp")}} immediately before dispatching the {{domxref("FetchEvent")}} if a Service Worker thread is already running, or immediately before starting the Service Worker thread if it is not already running. If the resource is not intercepted by a Service Worker the property will always return 0.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>resource</em>.workerStart;
</pre>

<h3 id="Return_Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}}.</p>

<h2 id="Example">Example</h2>

<p>In the following example, the value of the <code>*Start</code> and <code>*End</code> properties of all "<code>resource</code>" {{domxref("PerformanceEntry.entryType","type")}} events are logged.</p>

<pre class="brush: js">function print_PerformanceEntries() {
  // Use getEntriesByType() to just get the "resource" events
  var p = performance.getEntriesByType("resource");
  for (var i=0; i &lt; p.length; i++) {
    print_start_and_end_properties(p[i]);
  }
}
function print_start_and_end_properties(perfEntry) {
  // Print timestamps of the PerformanceEntry *start and *end properties
  properties = ["connectStart", "connectEnd",
                "domainLookupStart", "domainLookupEnd",
                "fetchStart",
                "redirectStart", "redirectEnd",
                "requestStart",
                "responseStart", "responseEnd",
                "secureConnectionStart",
		"workerStart"];

  for (var i=0; i &lt; properties.length; i++) {
    // check each property
    var supported = properties[i] in perfEntry;
    if (supported) {
      var value = perfEntry[properties[i]];
      console.log("... " + properties[i] + " = " + value);
    } else {
      console.log("... " + properties[i] + " = NOT supported");
    }
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resource Timing 2', '#dom-performanceresourcetiming-workerstart', 'workerStart')}}</td>
   <td>{{Spec2('Resource Timing 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceResourceTiming.workerStart")}}</p>
